function OnSceneLoad(screen)
    LoadData(screen)
	DefaultOnSceneLoad('data/Scenes/26_Rings.lua', 'quest', 'data/Scenes/26_Backyard_Main.lua')
	game_screen = screen;
	LinkScene('area', 'CursorDoorDown', 'data/Scenes/26_Backyard_Main.lua', false)
	
	LoadSound('26_Put_rune', 'data/Sound/26_Backyard/Put_rune.ogg');
	LoadSound('26_Rotate_circle', 'data/Sound/26_Backyard/Rotate_circle.ogg');

	RegisterActiveObject('area_scheme', function() end, function() end, true, 'CursorDefault')

    ROTATE_TIME = 0.4
   
	game_screen:GetObject('Right_Top1'):SetVisible(false);
	game_screen:GetObject('Right_Bottom1'):SetVisible(false);
	game_screen:GetObject('Left_Top1'):SetVisible(false);
	game_screen:GetObject('Left_Bottom1'):SetVisible(false);
	
	for i = 1, 4 do
		game_screen:GetObject('radial_glow_'..i):SetVisible(false);
		game_screen:IgnoreOnTestPoint('radial_glow_'..i);
		add_glow_effector(game_screen:GetObject('radial_glow_'..i), 0.0);
	end
	
	mini_game_active = true;
	mini_game_completed = false;
	----------------------------------------------------------------------------------------------------
	RUNES_AMOUNT = 13;
	Runes = {}
	for i = 1, RUNES_AMOUNT do
		Runes[i] = {}
		Runes[i].Obj = game_screen:GetObject('Rune_'..i);
		Runes[i].used = false;
		Runes[i].Index = i; 
		
		Runes[i].Rotate = function(angle, time, ring_num)
			local af = CreateAnimationEffector()--AnimationEffector()
			af:AttachTo(Runes[i].Obj)
			local dx = Runes[i].Obj:GetX() - Rings[ring_num].Pos.x;
			local dy = Runes[i].Obj:GetY() - Rings[ring_num].Pos.y;
			
			af:SetKey(_TRACK_X, 0.0, Runes[i].Obj:GetX())
			af:SetKey(_TRACK_Y, 0.0, Runes[i].Obj:GetY())
			for i = 1, 10 do
				af:SetKey(_TRACK_X, time / 10 * i, Rings[ring_num].Pos.x + math.cos(angle / 10 * i) * dx - math.sin(angle / 10 * i) * dy)
				af:SetKey(_TRACK_Y, time / 10 * i, Rings[ring_num].Pos.y + math.cos(angle / 10 * i) * dy + math.sin(angle / 10 * i) * dx)
				af:Play()
			end
		end
	end
	----------------------------------------------------------------------------------------------------
	local array = {5, 6, 9, 2, 8, 12, 3, 13, 4, 7, 11, 10, 1}
	--распихиваем руны по слотам
	SLOTS_AMOUNT = 13
	Slots = {}
	for i = 1, SLOTS_AMOUNT do
		Slots[i] = {}
		
		local rand = 0;
		repeat
			rand = array[i]--math.random(RUNES_AMOUNT);
		until Runes[rand].used == false
		
		Slots[i].Entity = Runes[rand];
		Runes[rand].used = true;
	end
----------------------------------------------------------------------------------------------------
	--инициализируем круги
	Rings = {}	
	local RINGS_AMOUNT = 3;
	Rings = {}
	for i = 1, RINGS_AMOUNT do
		Rings[i] = {}
		Rings[i].Obj = game_screen:GetObject('Rings_'..i);
		Rings[i].Pos = Rings[i].Obj:GetPos();
		Rings[i].Index = i;
		
		Rings[i].Rotate = function(direction)
			local RING_SLOT_AMOUNT = 6;
			mini_game_active = false;
			TimerDoString('mini_game_active = true', ROTATE_TIME, game_screen:GetTimer())

			for j = 1, RING_SLOT_AMOUNT do
				Rings[i].Slots[j].Entity.Rotate(direction * M_PI / 3, ROTATE_TIME, Rings[i].Index);
			end
			
			if(direction == 1) then--крутим вправо
				local buf = Rings[i].Slots[6].Entity;
				for j = RING_SLOT_AMOUNT,2, -1 do
					Rings[i].Slots[j].Entity = Rings[i].Slots[j - 1].Entity
				end
				Rings[i].Slots[1].Entity = buf;
			else--крутим влево
				local buf = Rings[i].Slots[1].Entity;
				for j = 1, RING_SLOT_AMOUNT - 1 do
					Rings[i].Slots[j].Entity = Rings[i].Slots[j + 1].Entity
				end
				Rings[i].Slots[6].Entity = buf;
			end
			
			if(IsCompleted()) then
				if HasGameState('MiniGameCompleted', 'Rings') == false then
					AddGameState('MiniGameCompleted', 'Rings');
				end
				FinishGame();
			end
		end
	end
	Rings[1].Slots = {Slots[1], Slots[2], Slots[3], Slots[4], Slots[5], Slots[6]}
	Rings[2].Slots = {Slots[2], Slots[7], Slots[8], Slots[9], Slots[4], Slots[10]}
	Rings[3].Slots = {Slots[6], Slots[10], Slots[4], Slots[11], Slots[12], Slots[13]}
	
	for i = 1, 6 do
		Rings[1].Slots[i].Entity.Obj:SetXY(516.0, 223.0);
		Rings[1].Slots[i].Entity.Rotate(M_PI / 3 * (i - 1), 0.0, 1);
	end
	
	for i = 2, 4 do
		Rings[2].Slots[i].Entity.Obj:SetXY(647.0, 300.0);
		Rings[2].Slots[i].Entity.Rotate(M_PI / 3 * (i - 1), 0.0, 2);
	end
	Rings[2].Slots[6].Entity.Obj:SetXY(647.0, 300.0);
	Rings[2].Slots[6].Entity.Rotate(M_PI / 3 * 5, 0.0, 2);
	
	for i = 4, 6 do
		Rings[3].Slots[i].Entity.Obj:SetXY(383.0, 300.0);
		Rings[3].Slots[i].Entity.Rotate(M_PI / 3 * (i - 1), 0.0, 3);
	end
----------------------------------------------------------------------------------------------------
	play_field:GetObject('Rune_3'):SetVisible(false);
	play_field:GetObject('locked'):SetXY(play_field:GetObject('Rune_3'):GetX(), play_field:GetObject('Rune_3'):GetY());
	play_field:GetObject('hole'):SetXY(play_field:GetObject('Rune_3'):GetX(), play_field:GetObject('Rune_3'):GetY());
	
	local on_mask_apply = function(tool_name, object_name)
		game_state.level_type = 'mini_game';
		play_field:GetLevelScreen():GetPanel():SetMode(PM_MINIGAME);
		play_field:GetObject('locked'):SetVisible(false);
		play_field:GetObject('Rune_3'):SetVisible(true);
		play_field:GetObject('Rune_3'):ChangeOpacity(0.0, 1.0, 0.0);
		play_field:GetObject('hole'):SetVisible(false);
		MakeSoundEntity('26_Put_rune'):Play(false);
	end
	local on_load_when_mask_applied = function(tool_name)
		game_state.level_type = 'mini_game';
		play_field:GetLevelScreen():GetPanel():SetMode(PM_MINIGAME);
		play_field:GetObject('locked'):SetVisible(false);
		play_field:GetObject('Rune_3'):SetVisible(true);
		play_field:GetObject('hole'):SetVisible(false);
	end
	RegisterToolApplyInfo('24_runa', 'locked', nil, nil, on_mask_apply, on_load_when_mask_applied)
		
	if(HasGameState('ToolApplied', '24_runa') == true) then
		ShowMonolog('C_26_RINGS_MG', 'C_26_RINGS_MG');
		
		RegisterActiveObject('area_hint',
        function()
            ShowMonolog('C_26_RINGS_MG', 'C_26_RINGS_MG');
        end, nil, true, 'CursorGlass');
	else
		ShowMonolog('C_26_RINGS_MG_2', 'C_26_RINGS_MG_2');
    end
end

function SkipMiniGame()
	if HasGameState('MiniGameCompleted', 'Rings') == false then
		AddGameState('MiniGameCompleted', 'Rings');
	end
				
	mini_game_completed = true;
	mini_game = true;
	
	TimerDoString("StartLevel('data/Scenes/26_Backyard_Main.lua');", 0.5, game_screen:GetTimer())
end

function FinishGame()
	for i = 1, 4 do
		game_screen:GetObject('radial_glow_'..i):SetVisible(true);
	end
	mini_game_completed = true;
	mini_game = true;
	
	TimerDoString("StartLevel('data/Scenes/26_Backyard_Main.lua');", 2.5, game_screen:GetTimer())
end

function IsCompleted()
	if (Slots[2].Entity.Index < 5) and (Slots[4].Entity.Index < 5) and  (Slots[6].Entity.Index < 5) and (Slots[10].Entity.Index < 5) then
		return true;
	else
		return false;
	end
end

function add_glow_effector(obj, delay)
	local duration = 0.5

	eff= CreateAnimationEffector()
	eff:AttachTo(obj)
	eff:SetMode(_ANIM_LOOP)

    local dopacity = -0.35

	eff:SetKey(_TRACK_O, 0.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 1.0 / 4.0 + delay, 0.75 + dopacity)
	eff:SetKey(_TRACK_O, duration * 2.0 / 4.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 3.0 / 4.0 + delay, 0.59 + dopacity)
	eff:SetKey(_TRACK_O, duration * 4.0 / 4.0 + delay, 1.0 + dopacity)
	eff:Play()
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function PlayCircleRotateSound()

    if not play_field.circleRotateSound
    then
        play_field.circleRotateSound = MakeSoundEntity('26_Rotate_circle');
    end
    
    play_field.circleRotateSound:StopSound();
    play_field.circleRotateSound:Play(false);

end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
    
    if(HasGameState('ToolApplied', '24_runa') == true) then
		local obj_name = object:GetName();
		if(obj_name == "Right_Top2") then
			game_screen:GetObject('Right_Top2'):SetVisible(false);
			game_screen:GetObject('Right_Top1'):SetVisible(true);
		elseif(obj_name == "Right_Bottom2") then
			game_screen:GetObject('Right_Bottom2'):SetVisible(false);
			game_screen:GetObject('Right_Bottom1'):SetVisible(true);
		elseif(obj_name == "Left_Top2") then
			game_screen:GetObject('Left_Top2'):SetVisible(false);
			game_screen:GetObject('Left_Top1'):SetVisible(true);
		elseif(obj_name == "Left_Bottom2") then
			game_screen:GetObject('Left_Bottom2'):SetVisible(false);
			game_screen:GetObject('Left_Bottom1'):SetVisible(true);
		elseif(obj_name == "Up_L2") then
			game_screen:GetObject('Up_L2'):SetVisible(false);
			game_screen:GetObject('Up_L1'):SetVisible(true);
		elseif(obj_name == "Up_R2") then
			game_screen:GetObject('Up_R2'):SetVisible(false);
			game_screen:GetObject('Up_R1'):SetVisible(true);
		else    
			if(obj_name ~= 'Right_Top1' and obj_name ~= 'Right_Bottom1' and obj_name ~= 'Left_Top1' and obj_name ~= 'Left_Bottom1'and obj_name ~= 'Up_L1'and obj_name ~= 'Up_R1') then
				game_screen:GetObject('Left_Bottom1'):SetVisible(false);
				game_screen:GetObject('Left_Top1'):SetVisible(false);
				game_screen:GetObject('Right_Bottom1'):SetVisible(false);
				game_screen:GetObject('Right_Top1'):SetVisible(false);
				game_screen:GetObject('Up_L1'):SetVisible(false);
				game_screen:GetObject('Up_R1'):SetVisible(false);
				game_screen:GetObject('Left_Bottom2'):SetVisible(true);
				game_screen:GetObject('Left_Top2'):SetVisible(true);
				game_screen:GetObject('Right_Bottom2'):SetVisible(true);
				game_screen:GetObject('Right_Top2'):SetVisible(true);
				game_screen:GetObject('Up_L2'):SetVisible(true);
				game_screen:GetObject('Up_R2'):SetVisible(true);
			end
		end
	end
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
    
    if(HasGameState('ToolApplied', '24_runa') == true) then
		local obj_name = object:GetName();
		if(obj_name == "Right_Top1") then
			game_screen:GetObject('Right_Top1'):SetVisible(false);
			game_screen:GetObject('Right_Top2'):SetVisible(true);
		elseif(obj_name == "Right_Bottom1") then
			game_screen:GetObject('Right_Bottom1'):SetVisible(false);
			game_screen:GetObject('Right_Bottom2'):SetVisible(true);
		elseif(obj_name == "Left_Top1") then
			game_screen:GetObject('Left_Top1'):SetVisible(false);
			game_screen:GetObject('Left_Top2'):SetVisible(true);
		elseif(obj_name == "Up_L1") then
			game_screen:GetObject('Up_L1'):SetVisible(false);
			game_screen:GetObject('Up_L2'):SetVisible(true);
		elseif(obj_name == "Up_R1") then
			game_screen:GetObject('Up_R1'):SetVisible(false);
			game_screen:GetObject('Up_R2'):SetVisible(true);
		elseif(obj_name == "Left_Bottom1") then
			game_screen:GetObject('Left_Bottom1'):SetVisible(false);
			game_screen:GetObject('Left_Bottom2'):SetVisible(true);
		end
	end
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

	if(HasGameState('ToolApplied', '24_runa') == true) then
		if(mini_game_active == true and mini_game_completed == false) then
			if(obj_name == 'Right_Bottom1') then
				Rings[2].Rotate(1);
				PlayCircleRotateSound();
			end
			if(obj_name == 'Right_Top1') then
				Rings[2].Rotate(-1);
				PlayCircleRotateSound();
			end
			
			if(obj_name == 'Left_Bottom1') then
				Rings[3].Rotate(-1);
				PlayCircleRotateSound();
			end
			if(obj_name == 'Left_Top1') then
				Rings[3].Rotate(1);
				PlayCircleRotateSound();
			end
			
			if(obj_name == 'Up_R1') then
				Rings[1].Rotate(1);
				PlayCircleRotateSound();
			end
			if(obj_name == 'Up_L1') then
				Rings[1].Rotate(-1);
				PlayCircleRotateSound();
			end
		end
	else
		ShowMonolog('C_26_RINGS_MG_2', 'C_26_RINGS_MG_2');
	end
	
    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function RotateObj(object)
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/BG_Backstage_Minigame.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Backstage_Minigame',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rings.png',0,0,374,374,1,0)
	anim:SetHotSpot(187,187)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rings_1',anim,515,375,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rings.png',0,0,374,374,1,0)
	anim:SetHotSpot(187,187)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rings_2',anim,647,452,97,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rings.png',0,0,374,374,1,0)
	anim:SetHotSpot(187,187)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rings_3',anim,386,453,96,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_1.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_1',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_1.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_2',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_1.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_3',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_1.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_4',anim,647,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_2.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_5',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_3.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_6',anim,383,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_4.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_7',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_5.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_8',anim,647,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_6.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_9',anim,516,223,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_5.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_10',anim,383,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_2.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_11',anim,383,302,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_4.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_12',anim,646,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Rune_6.png',0,0,64,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rune_13',anim,647,300,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Up_L1.PNG',0,0,67,54,1,0)
	anim:SetHotSpot(33,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Up_L1',anim,442,172,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Up_L2.PNG',0,0,65,54,1,0)
	anim:SetHotSpot(32,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Up_L2',anim,440,172,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Up_R1.PNG',0,0,68,58,1,0)
	anim:SetHotSpot(34,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Up_R1',anim,584,171,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Up_R2.PNG',0,0,66,57,1,0)
	anim:SetHotSpot(33,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Up_R2',anim,583,173,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Right_Bottom1.PNG',0,0,51,65,1,0)
	anim:SetHotSpot(25,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Right_Bottom1',anim,848,525,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Right_Bottom2.PNG',0,0,54,67,1,0)
	anim:SetHotSpot(27,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Right_Bottom2',anim,849,524,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Right_Top1.PNG',0,0,52,72,1,0)
	anim:SetHotSpot(26,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Right_Top1',anim,851,384,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Right_Top2.PNG',0,0,55,69,1,0)
	anim:SetHotSpot(27,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Right_Top2',anim,850,385,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Left_Bottom1.PNG',0,0,49,69,1,0)
	anim:SetHotSpot(24,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Left_Bottom1',anim,181,524,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Left_Bottom2.PNG',0,0,53,68,1,0)
	anim:SetHotSpot(26,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Left_Bottom2',anim,181,527,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Left_Top1.PNG',0,0,52,67,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Left_Top1',anim,180,381,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/Buttons/Left_Top2.PNG',0,0,55,68,1,0)
	anim:SetHotSpot(27,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Left_Top2',anim,181,383,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFF0000')
	screen:CreateObject('radial_glow_1',anim,500,362,99,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFF0000')
	screen:CreateObject('radial_glow_2',anim,645,306,99,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFF0000')
	screen:CreateObject('radial_glow_3',anim,508,519,99,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFF0000')
	screen:CreateObject('radial_glow_4',anim,378,301,99,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area',anim,486,713,150,0,90,15)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_hint',anim,517,407,15,0,75,50)
	local anim = CreateAnimation('data/Texture/Minigames/Runes/hole.png',0,0,80,72,1,0)
	anim:SetHotSpot(40,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hole',anim,830,112,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('locked',anim,858,155,105,0,30,30)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_scheme',anim,166,129,100,25,30,25)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
